Chapter 30. user


Manage the current user.

30.1. createStar

Star a repository.

30.1.1. POST /api/v1/user/starred

Authorizations: oauth2_implicit (repo:read)

30.1.2. Request body schema (application/json)

Expand
NameDescriptionSchema

namespace

required

Namespace in which the repository belongs

string

repository

required

Repository name

string

30.1.3. Responses

Expand
HTTP CodeDescriptionSchema

201

Successful creation

 

400

Bad Request

ApiError

401

Session required

ApiError

403

Unauthorized access

ApiError

404

Not found

ApiError

30.1.4. Example command

$ curl -X POST "https://quay-server.example.com/api/v1/user/starred" \
  -H "Authorization: Bearer <your_access_token>" \
  -H "Content-Type: application/json" \
  -d '{
        "namespace": "<namespace>",
        "repository": "<repository_name>"
      }'

30.2. listStarredRepos

List all starred repositories.

30.2.1. GET /api/v1/user/starred

Authorizations: oauth2_implicit (user:admin)

30.2.2. Query parameters

Expand
TypeNameDescriptionSchema

query

next_page

optional

The page token for the next page

string

30.2.3. Responses

Expand
HTTP CodeDescriptionSchema

200

Successful invocation

 

400

Bad Request

ApiError

401

Session required

ApiError

403

Unauthorized access

ApiError

404

Not found

ApiError

30.2.4. Example command

$ curl -X GET "https://quay-server.example.com/api/v1/user/starred?next_page=<next_page_token>" \
  -H "Authorization: Bearer <your_access_token>"

30.3. getLoggedInUser

Get user information for the authenticated user.

30.3.1. GET /api/v1/user/

Authorizations: oauth2_implicit (user:read)

30.3.2. Responses

Expand
HTTP CodeDescriptionSchema

200

Successful invocation

UserView

400

Bad Request

ApiError

401

Session required

ApiError

403

Unauthorized access

ApiError

404

Not found

ApiError

30.3.3. Example command

$ curl -X GET "https://quay-server.example.com/api/v1/user/" \
  -H "Authorization: Bearer <your_access_token>"

30.4. deleteStar

Removes a star from a repository.

30.4.1. DELETE /api/v1/user/starred/{repository}

Authorizations: oauth2_implicit (user:admin)

30.4.2. Path parameters

Expand
TypeNameDescriptionSchema

path

repository

required

The full path of the repository. e.g. namespace/name

string

30.4.3. Responses

Expand
HTTP CodeDescriptionSchema

204

Deleted

 

400

Bad Request

ApiError

401

Session required

ApiError

403

Unauthorized access

ApiError

404

Not found

ApiError

30.4.4. Example command

$ curl -X DELETE "https://quay-server.example.com/api/v1/user/starred/namespace/repository-name" \
  -H "Authorization: Bearer <your_access_token>"

30.5. getUserInformation

Get user information for the specified user.

30.5.1. GET /api/v1/users/{username}

Authorizations: 

30.5.2. Path parameters

Expand
TypeNameDescriptionSchema

path

username

required

 

string

30.5.3. Responses

Expand
HTTP CodeDescriptionSchema

200

Successful invocation

 

400

Bad Request

ApiError

401

Session required

ApiError

403

Unauthorized access

ApiError

404

Not found

ApiError

30.5.4. Example command

$ curl -X GET "https://quay-server.example.com/api/v1/users/example_user" \
  -H "Authorization: Bearer <your_access_token>"
Red Hat logoGithubredditYoutubeTwitter

Learn

Try, buy, & sell

Communities

About Red Hat

We deliver hardened solutions that make it easier for enterprises to work across platforms and environments, from the core datacenter to the network edge.

Making open source more inclusive

Red Hat is committed to replacing problematic language in our code, documentation, and web properties. For more details, see the Red Hat Blog.

About Red Hat Documentation

Legal Notice

Theme

© 2026 Red Hat
Back to top